Loading...
Searching...
No Matches
capability File Reference

L4::Cap related definitions. More...

`#include <l4/sys/consts.h>`
`#include <l4/sys/types.h>`
`#include <l4/sys/kobject>`
`#include <l4/sys/task.h>`
`#include <l4/sys/meta>`
Include dependency graph for capability:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | L4
| L4 low-level kernel interface.

## Macros

#define | L4_DISABLE_COPY(_class)
| Disable copy of a class.

## Functions

template<typename T, typename F>
Cap< T > | L4::cap_dynamic_cast (Cap< F > const &c) noexcept
| dynamic_cast for capabilities.

## Detailed Description

L4::Cap related definitions.

Author
  Alexander Warg alexa.nosp@m.nder.nosp@m..warg.nosp@m.@os..nosp@m.inf.t.nosp@m.u-dr.nosp@m.esden.nosp@m..de

Definition in file capability.

## Macro Definition Documentation

## L4_DISABLE_COPY

#define L4_DISABLE_COPY | ( |  | _class | ) |

Value:
public: \
_class(_class const &) = delete; \
_class operator = (_class const &) = delete; \
private:

Disable copy of a class.

Parameters

  _class | Name of the class that shall not have value copy semantics.

The typical use of this is:

class Non_value
{
L4_DISABLE_COPY(Non_value)
...
}
L4_DISABLE_COPY
#define L4_DISABLE_COPY(_class)
Disable copy of a class.
Definition capability:52

Definition at line 52 of file capability.